function res = randnormal(m,K,n)
//-----------------------------------------------------------------------  
//function res = randnormal(m,K,n)
//
// generates the learning data points for classification 
//
// input:    m         mean vector
//           K         covariance matrix
//           n         no. of random points to be generated,(optional)
//
// output:   res       learning data points for classification
//
//-----------------------------------------------------------------------  
//   $RCSfile: randnormal.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:15:07 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: randnormal.sci,v $
//  Revision 1.1  2003/10/16 12:15:07  haasdonk
//  intial version after release of presto-box 1.0, after renaming of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  
  [out,in]=argn(0);
 
  if in ~= 3,
    if in ~= 2,
      error('wrong number of arguments!');
    end;
    n = 1000;
  end;
  
  if size(m,2) ~= 1,
    m = m';
  end;
  
  dim = size(m,1);
  if dim ~= size(K,1) | dim ~= size(K,2); 
    error('Error in the sizes of m & K');
  end;
  
  [L, EV, dummy] = bdiag(K);
  M = repmat(m,1,n);
  rand(dim,n,'seed');
  X = rand(dim,n,'normal');
  X = sqrt(L) * X;
  X = EV*X + M;
  
  res = X;
  
endfunction












