function  polclass_demo_call_back(s)
//-----------------------------------------------------------------------  
// function  polclass_demo_call_back(s)
//
// callback function for the pushbuttons in the GUI of polclass_demo 
//
//  not to be used out side the function polclass_demo()  
//
//-----------------------------------------------------------------------  
//   $RCSfile: polclass_demo_call_back.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: polclass_demo_call_back.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  
  f= findobj( 'tag','polclass_demo_objfig');    
  rb1= findobj( 'tag','sci_pd_1');
  rb2= findobj( 'tag','sci_pd_2');
  rb3= findobj( 'tag','sci_pd_3');
  rb4= findobj( 'tag','sci_pd_4');
  rb5= findobj( 'tag','sci_pd_5');
  rb6= findobj( 'tag','sci_pd_6');
  rb7= findobj( 'tag','sci_pd_7');
  recall=get(f,'recall')    
  // if the call back function is called by new polygon button
  if s== 'newpol',    
    xset('window',evstr(get(f,'window1')));
    xset('wpos',380,10);
    xset('wdim',300*1.5561798,300);
    xname('polclass_demo-inputpolygon');
    S=get(f,'size'); s=[S(1),S(2),S(3),S(4)]; s=evstr(s);
    // calling inputpol routine to draw the polygon
    ipp = inputpol('mode','drag','noclose','no-nw','size',s);
    hfc=evstr(get(f,'high_index'));lfc=evstr(get(f,'low_index'));
    // storing the feature vector of 'inputpolygon'
    pb =polboundary(ipp);
    pa =polarea(ipp);
    compl=4*%pi*pa/(pb^2);
    FC =computeFc(hfc,cpolygon(ipp));
    ds =detect_symmetry(FC);//disp(ds); 
    FD =computeFd(1,ds,FC); 
    Fc=polygon(FC);
    Fd=polygon(FD);
    
    h=hfc;l=lfc;l1=h-l+1;l2=h+l+1;h1=h-l;h2=h+l+2; h3=2*h+1;
    ippv=[pb;pa;compl; Fc(1,l1:l2)';Fc(2,l1:l2)'; Fc(1,1:h1)'; ...
	   Fc(1,h2:h3)'; Fc(2,1:h1)';Fc(2,h2:h3)';Fd(1,l1:l2)'; ...
	   Fd(2,l1:l2)'; Fd(1,1:h1)'; Fd(1,h2:h3)';Fd(2,1:h1)'; ...
	   Fd(2,h2:h3)'];
  
    // storing the feature vector to the figure 
    setmatrix(f,'ippvector', ippv);
            
    // if the call back function is called by classify polygon button
  else
    if s== 'classify',
      if length(get(f,'ippvector1'))==0 & length(get(f,'ippvector2'))==0,
	x_message(['First Input a Polygon by clicking ""new polygon"" "+...
		  "button!';' ';'Click ""ok"" to proceed now']);
      else
	// getting the feature-vector of the inputpolygon
	ippv=getmatrix(f,'ippvector');
	
	//getting the selection of features(i.e. radio buttons)
	rbv=[evstr(get(rb1,'value')); evstr(get(rb2,'value')); ...
	     evstr(get(rb3,'value')); evstr(get(rb4,'value')); ...
	     evstr(get(rb5,'value')); evstr(get(rb6,'value')); ...
	     evstr(get(rb7,'value'))];
	
	if rbv(1:7)==0,
	  x_message(['You should select atleast one Feature';...
		     ' ';'Click ""ok"" to proceed now']);
	  
	else
	  // making a duplicate of rbv to fit the size of feature-vector      
	  hfc=evstr(get(f,'high_index'));lfc=evstr(get(f,'low_index'));
	  h=4*(hfc-lfc);l=2*(2*lfc+1);
	  h1=3+l; h2=h1+h; h3=h2+l; h4=h3+h;
	  
	  RBV=[]; RBV(1:3)=rbv(1:3); RBV(4:h1)=rbv(4); 
	  RBV(h1+1:h2)=rbv(5); RBV(h2+1:h3)=rbv(6);RBV(h3+1:h4)=rbv(7);
	  
	  // getting the reference polygons & feature-vectors
	  Lvect=list(); Lpol=list(); d=[];
	  n=evstr(get(f,'number'));  
	  printfv=get(f,'printfv');
	  if printfv=='yes',
	    disp(ippv.*RBV);
	  end;
	  for i=1:n,
	    
	    Lvect(i)=getmatrix(f,string(i)+'vect');
	    dv=[];
	    dv = (ippv-Lvect(i)).*RBV;
	    d(i)=dv'*dv;
	    Lpol(2*i-1)=getmatrix(f,string(i)+'pol');
	    Lpol(2*i)='Distance :  '+string(d(i));	
	  end;
	  
	  //sorting according to the distance of the feature-vector
	  //from that of the input polygon
	  [d,I]=sort(d.*1000); Lpoly=list();
	  
	  //storing into another List according to the sorted distances
	  l=1;
	  for k=n:-1:1,
	    Lpoly(2*l-1)=Lpol(2*I(k)-1);
	    Lpoly(2*l)=Lpol(2*I(k));
	    l=l+1;
	  end;       
	  
	  // plotting the sequence of polygons (Lpoly)in the increasing
	  // order of the distance from the (inputpoly)feature-vector.
	  xset('window',evstr(get(f,'window2')));	  
	  xset('wpos',380,410);
	  xset('wdim',300*1.5561798,300);
	  xname('polclass_demo-classification');
	  xbasc();
	  plotpolseq(Lpoly(:));
	end;
      end;
      // help text on clicking the help button in the GUI
    else
      if s== 'help',
	x_message(...
	['This demo performs classification of user prescribed polygons to some';...
	 'reference polygons representing the letters L T F E. The polygon to be';...
	 'classified can be entered after pressing the button ""new polygon"" The';...
	 'classification of last entered polygon is performed by ""classify polygon""';...
	 'button. After classification the reference polygons are plotted in the ';...
	 'order of increasing distance to the newly generated polygon. The(squared)  ';...
	 'distance is given above each reference polygon. The classification (the ';...
	 'distances) are simple euclidean distances of real-valued feature-vectors.';...
	 'The features to be used to classify can be selected in the checkboxes.';...
	 '';...
	 'Aspects that can be understood by this demo are:';...
	 '1. Area and boundary are not scale-invariant and not suited for the ';...
	 'given reference set, as T and L have identical vaues.';...
	 '2. Compactness is a scale-invariant feature however not suited as T ';...
	 'and L have identical values';...
	 '3. Fouriercoefficients are not scale-, position- and rotation-invariant,';...
	 'however very discriminative.';...
	 '4. Fourierdescriptors are fully similarity invariant, "+...
	 "very discriminative.';...
	]);
	
	// exit button for Exiting comleately from the demo
	// i.e. closes the Object figure & Graphics Windows
      else  
	if s== 'exit',	  	  	  
	  
	  wi1=evstr(get(f,'window1'));
	  wi2= evstr(get(f,'window2'));	  
	  recall=get(f,'recall');
	  
	  close(f);
	  
	  WI1 = winsid();
	  xpause(1000);
	  WI2 = winsid();
	  if length(WI2)>length(WI1),
	    xdel(WI2(1));
	  end;
 	  
	  wi = winsid();
	  if or(wi(1:$)==wi1),
	    xdel(wi1);
	  end;
	  
	  if or(wi(1:$)==wi2),
	    xdel(wi2);
	  end;	 
	  
	  if recall=='yes',
	    global patrec_demos_lock;
	    patrec_demos_lock = 0;
	    patrec_demos_lock = resume(patrec_demos_lock);
	  end;
	end;
      end;
    end; 
  end;
endfunction
