function  polstar_demo_call_back(s)
//-----------------------------------------------------------------------  
// function  polstar_demo_call_back(s)
//
// the call back function used in polstar_demo() 
//
// not to be used outside the function: polstar_demo()
//
//-----------------------------------------------------------------------  
//   $RCSfile: polstar_demo_call_back.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: polstar_demo_call_back.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------

  
  f = findobj( 'tag','polstar_demo_f_fig');
  h1= findobj( 'tag','polstar_demo_h1');
  h2= findobj( 'tag','polstar_demo_h2');
  h3= findobj( 'tag','polstar_demo_h3');
  e1= findobj( 'tag','polstar_demo_e1');
  e2= findobj( 'tag','polstar_demo_e2');
  e3= findobj( 'tag','polstar_demo_e3'); 
  lock= evstr(get(f,'lock'));
  
  if s=='slider1'|s=='slider2'|s=='slider3',
    // if the function is called by the slider
    
    gh1=evstr(get(h1,'value'));
    gh2=evstr(get(h2,'value'));
    gh3=evstr(get(h3,'value'));
    
    if lock==0, 
      set(f,'lock',1);
      w=evstr(get(f,'window'));
      xset('window',w);
      xbasc(); 
      plotpol(polstar(gh1,gh2,gh3 ));
      
      if s=='slider1',
	set(e1,'string',string(gh1 ));
      else
	if s=='slider2',
	  set(e2,'string',string(gh2));
	else
	  if s=='slider3',
	    set(e3,'string',string(gh3 ));
	  end
	end
      end
      set(f,'userdata',[gh1,gh2,gh3]);
      
      clear gh1 gh2 gh3 w
      
      set(f,'lock',0);
    end

    // if the function is called by the push-buttons
  else
    if s=='edit', 
      [ep1,err1]=evstr(get(e1,'string'));
      [ep2,err2]=evstr(get(e2,'string'));
      [ep3,err3]=evstr(get(e3,'string'));
      
      if err1 ~=0 | err2 ~=0 | err3 ~=0 | ep1>100| ep2>100| ep3>100,
	prev=evstr(get(f,'userdata'));
	ep1=prev(1); ep2=prev(2); ep3=prev(3);
	set(e1,'string',string(ep1 ));
	set(e2,'string',string(ep2 ));
	set(e3,'string',string(ep3 ));
      else
	w=evstr(get(f,'window'));
	xset('window',w);
	xbasc(); 
	plotpol(polstar( ep1,ep2,ep3 ));
	set(h1,'value',ep1 );
	set(h2,'value',ep2 );
	set(h3,'value',ep3 ); 
	set(f,'userdata',[ep1,ep2,ep3]);
	
	clear ep1 ep2 ep3 err1 err2 err3
      end;
      
    else 
      //for displaying the help message
      if s=='help',
	x_message(['This demo illustrates the use of the function '; ...
		   '''polstar'''; ''; 'The number of arms, the inner"+...
		   " and outer radius can be'; 'modified by the "+...
		   " sliders or by entering explicit values';
		   'in the fields beside the sliders followed by a"+...
		   " ''set'''; 'command. An origin-centered polygon"+...
		   " with these options';  'is generated by "+...
		   "''polstar'' and displayed.'],'OK');      
      else
	// if the function is called by exit
	if s=='exit',
	  
	  w= evstr(get(f,'window'));
	  recall=get(f,'recall');
	  
	  close(f);
	  
	  WI1 = winsid();
	  xpause(1000);
	  WI2 = winsid();
	  if length(WI2)>length(WI1),
	    xdel(WI2(1));
	  end;
	  	  
	  wi=winsid(); 	  
	  if or(wi(1:$)==w),
	    xdel(w); 
	  end
	  
	  if recall=="yes",
	    global patrec_demos_lock;
	    patrec_demos_lock = 0;
	    resume( patrec_demos_lock );
	  end;	  
	end;
      end;  
    end;
  end;
  
endfunction









