function res = CT(f1, f2, x)
//-----------------------------------------------------------------------  
// function res = CT(f1, f2, x)
//
// perform general CT-Transformation 
//
// input:    f1, f2      commutative functions with calling syntax     
//                       r = f1(a,b) where a,b,r are equally sized
//                       matrices and r contains the results of 
//                       elementwise dyadic operation.                      
//           x           vector/ matrix: each column will be processed
//                       by the CT. 
//
// output:   res         vector/ matrix of the columnwise results of 
//                       the transformation of x. 
//
//-----------------------------------------------------------------------  
//   $RCSfile: CT.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: CT.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.1  2002/05/06 16:43:57  haasdonk
//  inserted files from lecture WS0102 / SS02
//
//-----------------------------------------------------------------------
  
  n = size(x,1);
  if n>1,
    i1 = 1: floor(n/2)
    i2 = (floor(n/2)+1):n
    res = [CT(f1,f2,f1(x(i1,:),x(i2,:))) ; CT(f1,f2,f2(x(i1,:),x(i2,:)))]
  else
    res = x
  end;
  
endfunction;
