function Papprox = Fsynthesis( Fc )
//-----------------------------------------------------------------------  
// function Papprox = Fsynthesis ( Fc )
//
// Fourier synthesis of a Polygon using the Fourier coefficients 
//
// input:    Fc           vector of complex valued Fourier coefficients
//                        c_i, i ranging from -n,...,0,...,+n
//
// output:   Papprox      vector of 1000 complex values representing the 
//                        approximate polygon.
// 
//-----------------------------------------------------------------------  
//   $RCSfile: Fsynthesis.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------  

  
// curve length
  no = 10^3;
  T = 0:1/no:1;
  T = T'*2*%pi;
  
  // index vector
  N = -floor(length(Fc)/2):floor(length(Fc)/2);
  
  // base functions
  B = exp( %i.* T * N );
  
  // Fouriersynthesis
  if size(Fc,2)==1,
    Papprox = B * Fc;
  else 
    if size(Fc,1)==1,
      Papprox = B * Fc';  
    end;
  end;
  
endfunction;














