function res= polcog(p)
//-----------------------------------------------------------------------  
// function res= polcog(p)
//
// function calculating the CENTER OF GRAVITYof a polygon 
//
// input:    p     is a matrix with indices of polygon as elements   
//
// output:   res   is the center of gravity of the given polygon p
//
//-----------------------------------------------------------------------  
//   $RCSfile: polcog.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log:
//-----------------------------------------------------------------------

  
  [out, in] = argn(0);
  if in ~=1,
    error('wrong number of input arguments.');
  end;
  
  //   finding the no. of indices
  n = size(p,2);
  
  // first we have to find the area of the polygon
  q =fcycltrans(p,0,1);
  A = polarea(p);
  
  // now find the center of gravity as follows
  s1 = sum( (p(1,1:n) + q(1,1:n) ) .* (  p(1,1:n) .* q(2,1:n) - q(1,1:n) .* p(2,1:n) ) );
  s2 = sum( (p(2,1:n) + q(2,1:n) ) .* (  p(1,1:n) .* q(2,1:n) - q(1,1:n) .* p(2,1:n) ) );
  
  // the co-ordinates of the center of gravity are:
  cx = s1 / (6*  A);
  cy = s2 / (6* A);
  
  res = [cx; cy];
  
endfunction;
