.TH CT  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
CT - general translation-invariant CT-transformation of vectors

.SH CALLING SEQUENCE
.nf
res = CT(f1, f2, x)
.fi 

.SH PARAMETERS
.TP 10
f1,f2  :      
commutative functions with calling syntax r = f1(a,b) where a, b & r are all 
equally sized matrices, r containing the results of elementwise dyadic 
operations. 
.TP 10
x       :      
vector/matrix  each column of which will be processed by the CT.
.TP 10
res     :      
vector/matrix of the columnwise results of the transformation of x. 

.SH DESCRIPTION
\fVCT\fR performs CT transformation of the given column-vector x using the 
commutative-functions f1 and f2 (if x is a matrix then each of its 
column-vectors will be processed simultaneously).

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
f1 = pw_max;
f2 = pw_min;
res = CT(f1, f2, x);  
.fi

.SH SEE ALSO
CT_DI, CT_SZ, CT_ZS, MT, MT_DI, MT_SZ, MT_ZS, QT, 
QT_DI, QT_SZ, QT_ZS, RT, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

