.TH CT_SZ  "July 2002" "Presto Group" "scilab function"
.so ../sci.an
 
.SH NAME 
CT_SZ - general 2d-translation-invariant CT_SZ-transformation of matrices

.SH CALLING SEQUENCE
.nf
res = CT_SZ(f1, f2, x)
.fi

.SH PARAMETERS
.TP 10
f1,f2  :      
commutative functions with calling syntax r = f1(a,b) where a, b & r are  
equally sized matrices, r containing the results of elementwise dyadic 
operations. 

.TP 10
x       :      
matrix to be transformed by CT_SZ.
.TP 10
res     :      
matrix of CT_SZ transformation (of matrix x). 

.SH DESCRIPTION
\fVCT_SZ\fR (is a matrix transformation) performs CT_SZ tranformation i.e. 
first row by row CT-transformation then columnwise CT-transformation, using 
the commutative-functions f1 and f2 on the given matrix x. 

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
f1 = pw_max;
f2 = pw_min;
res = CT_SZ(f1, f2,x);  
.fi

.SH SEE ALSO
CT, CT_DI, CT_ZS, MT, MT_DI, MT_SZ, MT_ZS, QT, 
QT_DI, QT_SZ, QT_ZS, RT, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

