.TH Fc_demo  "July 2002" "Presto Group" "Scilab function"
.so ../sci.an
.SH NAME 
Fc_demo - a GUI  for demonstration of Fourier-coefficients of a polygon
.SH CALLING SEQUENCE
.nf
Fc_demo() - it can take varargin, as follows:
Fc_demo(['setnumber', val], ['setpolygon', polygon], ['showspectrum'])
.fi
.SH PARAMETERS
.TP 12
val      :
highest index of Fourier-coefficient to be used, default value is 20
.TP 12
polygon  :
2*n matrix with x and y coordinates of the polygon for
which the Fourier-coefficients are to be demonstrated.
the default value is polstar(5,4,3).
.SH DESCRIPTION
\fVFc_demo\fR allows interactive investigation of Fourier-coefficients (Fc) 
of complex contours. The Fourier-coefficients c_i of a complex contour can 
be selected by choosing the index i with the upper slider, the absolute 
value and the angle of the chosen c_i are then displayed and are editable
by the lower two sliders. Beside the sliders the values can be entered 
explicitly. After pressing the ''set'' button, the value will be set. 
When some some Fc is modified, a Fourier-synthesis is calculated and the 
resulting contour is displayed. If the demo is started with the option 
''showspectrum'', the power-spectrum of the current contour is plotted 
additionally.

.SH EXAMPLE
.nf
// calling without parameters
Fc_demo();

// calling with optional  parameters
Fc_demo('setnumber', 40); 

// OR
Fc_demo('setpolygon', polstar(5,4,3));

// OR
Fc_demo('showspectrum');

// try various combinations of the above arguments
.fi

.SH SEE ALSO
plotpol, polstar, computeFc, Fsynthesis

.SH AUTHOR
Bhaskara Reddy Poluru
