.TH bayes_class  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
bayes_class - implements the bayes classification in multi-dimensions.

.SH CALLING SEQUENCE
.nf
[classes,cert] = bayes_class(x,[p1,m1,K1,p2,m2,K2,...]).
.fi

.SH PARAMETERS
.TP 16
x           :       
a n1*n2 matrix with n2 columnwise data points to be classified
.TP 16
p1,p2,...   :      
prior probabilities of the classes (sum == 1).
.TP 16
m1,m2,...   :    
mean vectors of the classes (length n1) 
.TP 16		    
K1,K2,...   :
covariance matrices of the distributions (of size n1*n1) 
.TP 16
classes     :      
vector of estimated class memberships (length n2).
.TP 16
cert        :      
vector (length n2) of certainty measures for the classifications, 
in this case the a-posteriori probabilities given by the
input distributions.

.SH DESCRIPTION
\fVbayes_class\fR implements bayes classification of 
n1-dimensional vectors in case of a multiclass problem with the 
class conditional probability distributions assumed to be the 
normal distributions defined by the statistical parameters 
p1,m1,K1,p2,m2,K2,... 

.SH EXAMPLE 
.nf 
//2-dimensional data		    
x = randnormal([1 2], eye(2,2)) 
p1 = 0.4; p2 = 0.4; p3 = 0.2;
m1 =[1 2]; m2 =[2 1]; m3 =[2 2];
K1 =eye(2,2,); K2 =2*eye(2,2); K3 =3*eye(2,2);		    
[classes,cert] = bayes_class(x,p1,m1,K1,p2,m2,K2,p3,m3,K3);  
.fi

.SH SEE ALSO
bayes_class_2d, dumb_class_2d, nneigh_class_2d, nneigh_class, polynom_class 

.SH AUTHOR
Bhaskara Reddy Poluru


