.TH computeFd  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
computeFd - Fourier-descriptors of closed polygons in the complex plane 
.SH CALLING SEQUENCE
.nf
res = computeFd(q, s, Fc )
.fi

.SH PARAMETERS
.TP 10
q   :      
Index of the Fourier-coefficient which will be used for normalization.
.TP 10
s   : 
rotation symmetry of the polygon represented by the Fourier-coefficients,(i.e. distance between indices of non-vanishing coefficients).
    
.TP 10
Fc  :      
vector of (complex valued) Fourier-coefficients.

.SH DESCRIPTION
\fVcomputeFd\fR  takes Fourier-coefficients of a closed polygon and 
calculates the similarity invariant complex Fourier-descriptors. 

.SH EXAMPLE 
.nf 
q = 1;
Fc = computeFc(40,cpolygon(polstar(5,4,3)));  
ds = detect_symmetry(Fc);
res = computeFd(q, ds, Fc);
.fi

.SH SEE ALSO
computeFc, cpolygon, detect_symmetry

.SH AUTHOR
Bernard Haasdonk
