.TH inputpol  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
inputpol - generates a polygon interactively (by mouse clicks or dragging)

.SH CALLING SEQUENCE
.nf
res = inputpol(['mode', Mode], ['size', Size], ['noclose'], ['no-nw'])
.fi

.SH PARAMETERS
.TP 14
Mode      :      
sets the mode of mouse drawing ('click', 'drag', 'marks'); default: 'click'
.TP 12
Size      :      
a 1*4 matrix which sets the region of drawing; default :[-5,-5,10,5];
.TP 12
'noclose' :      
by default the graphics-window will be closed as soon as the drawing is
finished. This parameter should be given in order to keep the window 
opened.
.TP 12
'no-nw'   :      
This parameter should be given in order to draw in an already existing window.
Default is that a new graphics-window will be popped up. 

.TP 12
res       :      
a 2*n matrix with indices of the resulting polygon as its elements

.SH DESCRIPTION
\fVinputpol\fR allows the user to draw a polygon by clicking/dragging the 
mouse(left mouse button should be pressed for drawing) in the window 
which  is popped up at the function-call. If the user gives 'no-nw' then
the currently-active  window will be set for  drawing. The window will 
be closed after drawing, if the user doesn't give 'no-close' argument.
With giving 'marks', the lines of the polygon will not be drawn but marks 
put at the vertices instead.
  
.SH EXAMPLE 
.nf 
res = inputpol();
//or
Mode = 'drag';
Size = [-3,-3,6,3];
res = inputpol('mode', Mode, 'size', Size, 'noclose', 'no-nw');
.fi

.SH SEE ALSO
plotpol

.SH AUTHOR
Bhaskara Reddy Poluru

