.TH nneigh_class_2d  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
nneigh_class_2d - implements the nearest neighbour classification in 2 dimensions

.SH CALLING SEQUENCE
.nf
[classes,cert] = nneigh_class_2d(x, xlearn, labels).
.fi

.SH PARAMETERS
.TP 14
x        :       
a 2*n matrix n 2-dimensional data points to be classified
.TP 14
xlearn   : 
2* m - matrix consisting of learning points 
.TP 14
labels   :
m-vector of integer class-labels of learning points
.TP 14
classes  :      
n-vector of estimated class memberships, integers.
.TP 14
cert     :      
n-vector of "certainty" measures for the classifications, in this case 
e^(-dmin^2) (only heuristic, no theoretic foundation for "certainty").

.SH DESCRIPTION
\fVnneigh_class_2d\fR implements nearest neighbour classification 
of two-dimensional vectors and arbitrary many classes 
based on the learning data and labels. The classification regions can be
 visualized by visclass_2d(nneigh_class_2d, xlearn, labels).

.SH EXAMPLE 
.nf 		    
x=rand(2,50);
xlearn = randnormal([1 2], eye(2,2), 25); 
labels = [1 2 2 3 1 2 1 3 4 1 4 1 4 2 4 4 1 3 1 3 4 1 3 1 3];		    
[classes,cert] = nneigh_class_2d(x, xlearn, labels);  
.fi

.SH SEE ALSO
nneigh_class, bayes_class, dumb_class_2d, bayes_class_2d, polynom_class

.SH AUTHOR
Bernard Haasdonk


